/////////////////////////////////////////////////////////////////
// Name: xArrow.h
/////////////////////////////////////////////////////////////////
// Description:
// - Serves as a place holder for each arrow
/////////////////////////////////////////////////////////////////
// - 7.15.2004, Update, Dayle Flowers(Xienen)
//   File Created
/////////////////////////////////////////////////////////////////
#ifndef XARROW_H_
#define XARROW_H_

class xArrowObject
{
public:
	xArrowObject()
	{
		m_pArrowObject	= NULL;
		m_pNext			= NULL;
		m_pPrev			= NULL;
	}

	xObject2D	 *m_pArrowObject;
	xArrowObject *m_pNext;
	xArrowObject *m_pPrev;
};

class xArrow
{
public:
	xArrow()
	{
		m_pNext			= NULL;
		m_pPrev			= NULL;
		m_dwArrowsTime	= 0;
	}

	~xArrow()
	{
		if(m_pPrev)
			m_pPrev->m_pNext = m_pNext;

		if(m_pNext)
			m_pNext->m_pPrev = m_pPrev;
	}

	float		m_fX;
	float		m_fY;
	DWORD		;
	xDir		m_iDirection;
	xArrow		*m_pNext;
	xArrow		*m_pPrev;
};

#endif