/////////////////////////////////////////////////////////////////
// Name: xGUISelectionGroup.h
/////////////////////////////////////////////////////////////////
// Description:
// - This handles grouping of selectable GUI Objects.
/////////////////////////////////////////////////////////////////
// - 22.10.2010, Note, DayleFlowers (Xienen)
//   File created
/////////////////////////////////////////////////////////////////
#ifndef XGUISELECTIONGROUP_H_
#define XGUISELECTIONGROUP_H_

#include "xList.h"

typedef class xGUIObject;
typedef xList<xGUIObject> xGUIObjectList;

class xGUISelectionGroup
{
public:
	void	AddItem(xGUIObject *pSelectable);
	void	ClearSelected();

	xGUIObjectList	m_xSelectableList;
};

#endif